﻿using Microsoft.Win32;
using Syncfusion.UI.Xaml.Diagram;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace DiagramBuilder.View
{
    /// <summary>
    /// Interaction logic for NewSheet.xaml
    /// </summary>
    public partial class NewSheet : Window
    {
        public NewSheet()
        {
            InitializeComponent();
        }
        private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if ((e.AddedItems[0] as ComboBoxItem).Content.ToString() == "vertical")
            {
                ((this.DataContext as DiagramBuilder.MainWindow).DataContext as DiagramBuilder.ViewModel.DiagramBuilderVM).SelectedDiagram.PageSettings.PageOrientation = PageOrientation.Portrait;
            }
            else
            {
                ((this.DataContext as DiagramBuilder.MainWindow).DataContext as DiagramBuilder.ViewModel.DiagramBuilderVM).SelectedDiagram.PageSettings.PageOrientation = PageOrientation.Landscape;
            }
        }
        BitmapImage bitmap = null;
        private void ComboBox_SelectionChanged1(object sender, SelectionChangedEventArgs e)
        {
            try
            {
                OpenFileDialog openFileDialog = new OpenFileDialog();
                openFileDialog.Filter = "Image files (*.jpg, *.jpeg, *.jpe, *.jfif, *.png) | *.jpg; *.jpeg; *.jpe; *.jfif; *.png";
                if (openFileDialog.ShowDialog() == true)
                {
                    bitmap = new BitmapImage(new Uri(openFileDialog.FileName, UriKind.Absolute));

                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("" + ex);
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ((this.DataContext as DiagramBuilder.MainWindow).DataContext as DiagramBuilder.ViewModel.DiagramBuilderVM).OnOpenCommand(bitmap);
            Close();
        }
    }
}
